function [f,g] = msing(z,pars)
% computes the function sigma_min([A-zI B]) and its gradient
% called by bfgs.m
A = pars.A;
B = pars.B;

[n,nc] = size(A);
eyen = eye(n);
[U,S,V] = svd([A-(z(1)+z(2)*i)*eyen B]);
f = S(n,n);

% use analytic formula
% derivative with respect to the real part and the imaginary part
scprod = U(:,n)'*V(1:n,n);
g = [-real(scprod),imag(scprod)]';

return;