function bval = isnaninf(A)
% call : bval = isnaninf(A)
%  returns 1 if A contains an infinite or a nan entry, otherwise
%  returns 0

%  input 
%     A         input matrix, vector or scalar
%  output
%     bval      1 if A has an infinite or a nan entry, 0 otherwise.


if any(any(isnan(A))) | any(any(isinf(A)))
    bval = 1;
else
    bval = 0;
end
