function [epsln_vec,rho_epsln_vec] = plot_kreiss_constant_disc(A,low,high,h,fignum)
% Copyright Emre Mengi, July 2006
% Draws (rho_epsln-1)/epsln as a function of epsln in the
% the interval [low,high] with discretization h in the
% logarithmic scale.

if nargin < 5
    fignum = 1;
    
    if nargin < 4
        h = 1;
        
        if nargin < 3
            high = 10;
            
            if nargin < 2
                low = -8;
            end
        end
    end
end


rho_epsln_vec = [];
epsln_vec = [];
for epsln = low:h:high
    rho_epsln = pspr(A,10^epsln);
    if rho_epsln < 1
        rho_epsln_vec = [rho_epsln_vec 0];
    else
        rho_epsln_vec = [rho_epsln_vec (rho_epsln-1)/(10^epsln)];
    end
    epsln_vec = [epsln_vec epsln];
end

figure(fignum);
plot(epsln_vec,rho_epsln_vec,'b-x');
return;